al_attach_audio_stream_to_voice(3)

NAME

al_attach_audio_stream_to_voice - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_attach_audio_stream_to_voice(ALLEGRO_AUDIO_STREAM *stream,
       ALLEGRO_VOICE *voice)

DESCRIPTION

Attaches an audio stream to a voice. The same rules as al_attach_sample_instance_to_voice(3) apply. This may fail if the driver can't create a voice with the buffer count and buffer size the stream uses.

An audio stream attached directly to a voice has a number of limitations: The audio stream plays immediately and cannot be stopped. The stream position, speed, gain and panning cannot be changed. At this time, we don't recommend attaching audio streams directly to voices. Use a mixer inbetween.

Returns true on success, false on failure.

SEE ALSO

al_detach_voice(3)